import { test, expect } from 'vitest';
//import { indexedDB, IDBKeyRange } from 'fake-indexeddb';
import 'fake-indexeddb/auto';

import { genApi } from './api.js';

const get = async (store) => new Promise((resolve) => store.subscribe(resolve));

test('create and add and remove campaigns', async () => {
    const api = genApi(); //{ dexie: { indexedDB, IDBKeyRange } });

    api.event.addCampaign('C1');
    api.event.addCampaign('C2');

    let result = await get(api.campaigns);

    expect(result).toHaveLength(2);
    expect(result[0]).toEqual({
        id: 1,
        name: 'C1',
    });

    api.event.deleteCampaign(1);

    result = await get(api.campaigns);

    expect(result).toHaveLength(1);
});
